@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Caveat+Brush&family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
.grand-prix {
  z-index: 8;
  font-size: 10px;
}

@media (max-width: 767px) {
  .grand-prix {
    width: 100vw;
    height: 100vh;
    position: fixed !important;
    top: 0;
    left: 0;
  }
  .grand-prix_container {
    background: #2559c3;
    padding: 3rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
    box-sizing: border-box;
  }
  .grand-prix_photo {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .grand-prix_txt {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    align-items: center;
    gap: 1rem;
  }
  .grand-prix_txt .topchef_logo {
    width: 70%;
  }
  .grand-prix_txt figure,
  .grand-prix_txt img {
    width: 80%;
    margin: 0 auto;
  }
  .grand-prix_title {
    display: block;
    font-size: 0;
    background: url("https://css2.rtve.es/css/rtve.2021/i/rtve-logos/logo_rtveplay_2025_ffffff.svg")
      no-repeat center center;
    width: 10rem;
    height: 4rem;
    min-height: 4rem;
    margin: 0 auto;
  }
  .grand-prix_block {
    display: none;
  }
  .grand-prix .rtve-icons {
    vertical-align: baseline;
  }
  .grand-prix .rtve-icons.la-1 {
    display: inline-block;
    font-size: 0;
    background: url("https://css.rtve.es/css/rtve.directos/logos_cadenas/tv-la1_nac.svg")
      no-repeat top center/100%;
    width: 1.2rem;
    height: 3rem;
  }
  .grand-prix .rtve-icons.rtveplay {
    display: inline-block;
    font-size: 0;
    background: url("https://css2.rtve.es/css/rtve.2021/i/rtve-logos/logo_rtveplay_2025_ffffff.svg")
      no-repeat top center/100%;
    width: 9rem;
    height: 3rem;
    margin-left: 0.5rem;
  }
  .grand-prix_claim-desktop {
    display: none;
  }
  .grand-prix_count {
    display: flex;
    flex-direction: column;
    padding: 0 6vw;
    align-items: center;
  }
  .grand-prix_count-container {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    order: 3;
    width: 80%;
    margin-bottom: 20px;
  }
  .grand-prix_count-container div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    margin: 0;
    gap: 0.5rem;
  }
  .grand-prix_count_claim {
    font-family: "Montserrat", "arial", sans-serif;
    font-size: 4rem;
    line-height: 1;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
    text-align: center;
    order: 1;
    margin: 0 0 20px;
  }
  .grand-prix_count_phrase {
    font-family: "Roboto", "arial", sans-serif;
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 3rem;
    color: #fff;
    text-align: center;
    margin-top: 1.5rem;
    order: 2;
    max-width: 60%;
    margin: 0 auto 20px;
  }
  .grand-prix_count-number {
    font-family: "Montserrat", "arial", sans-serif;
    font-size: 4.6rem;
    line-height: 1;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
  }
  .grand-prix_count-label {
    font-family: "Roboto", "arial", sans-serif;
    font-size: 1.2rem;
    line-height: 1;
    font-weight: 300;
    letter-spacing: 0.2rem;
    color: #fff;
    text-transform: uppercase;
  }
  .grand-prix_button {
    border: 0.1rem solid #fff;
    border-radius: 0.4rem;
    padding: 0.6rem 0rem;
    width: 14rem;
    margin-bottom: 8vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .grand-prix_button a {
    text-align: center;
    font-size: 1rem;
    line-height: 1;
    font-weight: 400;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 0.5pt;
    color: #fff;
  }
  .grand-prix_close {
    position: absolute;
    top: 2rem;
    right: 2rem;
    font-size: 0;
    background: url("https://css.rtve.es/css/rtve.2021/i/rtve-icons.svg/rtve-icon_close.svg")
      no-repeat center center/100%;
    width: 2.5rem;
    height: 2.5rem;
  }
}
@media (min-width: 768px) and (max-width: 1025px) {
  .grand-prix {
    width: 100vw;
    height: 101vh;
    position: fixed !important;
    top: 0;
    left: 0;
  }
  .grand-prix_container {
    background: #2559c3;
    padding: 5rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
    box-sizing: border-box;
  }
  .grand-prix_photo {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .grand-prix_txt {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    align-items: center;
    gap: 1rem;
  }
  .grand-prix_txt .topchef_logo {
    width: 70%;
  }
  .grand-prix_txt figure,
  .grand-prix_txt img {
    width: 80%;
    margin: 0 auto;
  }
  .grand-prix_title {
    display: block;
    font-size: 0;
    background: url("https://css2.rtve.es/css/rtve.2021/i/rtve-logos/logo_rtveplay_2025_ffffff.svg")
      no-repeat center center;
    width: 20rem;
    height: 5rem;
    min-height: 5rem;
    margin: 0 auto;
  }
  .grand-prix_block {
    display: none;
  }
  .grand-prix .rtve-icons {
    vertical-align: baseline;
  }
  .grand-prix .rtve-icons.la-1 {
    display: inline-block;
    font-size: 0;
    background: url("https://css.rtve.es/css/rtve.directos/logos_cadenas/tv-la1_nac.svg")
      no-repeat top center/100%;
    width: 1.2rem;
    height: 3rem;
  }
  .grand-prix .rtve-icons.rtveplay {
    display: inline-block;
    font-size: 0;
    background: url("https://css2.rtve.es/css/rtve.2021/i/rtve-logos/logo_rtveplay_2025_ffffff.svg")
      no-repeat top center/100%;
    width: 9rem;
    height: 3rem;
    margin-left: 0.5rem;
  }
  .grand-prix_claim-desktop {
    display: none;
  }
  .grand-prix_count {
    display: flex;
    flex-direction: column;
    padding: 0 6vw;
    align-items: center;
  }
  .grand-prix_count-container {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    order: 3;
    width: 50%;
    margin-bottom: 20px;
  }
  .grand-prix_count-container div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    margin: 0;
    gap: 0.5rem;
  }
  .grand-prix_count_claim {
    font-family: "Montserrat", "arial", sans-serif;
    font-size: 4rem;
    line-height: 1;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
    text-align: center;
    order: 1;
    margin: 0 0 20px;
  }
  .grand-prix_count_phrase {
    font-family: "Roboto", "arial", sans-serif;
    font-size: 1.6rem;
    font-weight: 300;
    line-height: 3rem;
    color: #fff;
    text-align: center;
    margin-top: 1.5rem;
    order: 2;
    max-width: 70%;
    margin: 0 auto 20px;
  }
  .grand-prix_count-number {
    font-family: "Montserrat", "arial", sans-serif;
    font-size: 4.6rem;
    line-height: 1;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
  }
  .grand-prix_count-label {
    font-family: "Roboto", "arial", sans-serif;
    font-size: 1.2rem;
    line-height: 1;
    font-weight: 300;
    letter-spacing: 0.2rem;
    color: #fff;
    text-transform: uppercase;
  }
  .grand-prix_button {
    border: 0.1rem solid #fff;
    border-radius: 0.4rem;
    padding: 0.6rem 0rem;
    width: 14rem;
    margin-bottom: 8vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .grand-prix_button a {
    text-align: center;
    font-size: 1rem;
    line-height: 1;
    font-weight: 400;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 0.5pt;
    color: #fff;
  }
  .grand-prix_close {
    position: absolute;
    top: 2rem;
    right: 2rem;
    font-size: 0;
    background: url("https://css.rtve.es/css/rtve.2021/i/rtve-icons.svg/rtve-icon_close.svg")
      no-repeat center center/100%;
    width: 2.5rem;
    height: 2.5rem;
  }

  body.rtveplay .mainbodier:has(.rtveAlert:not(.ghost)) {
    z-index: 1;
  }
}
@media (min-width: 1026px) {
  .grand-prix {
    width: 100%;
    background: #2559c3;
    position: absolute;
    top: 0;
    z-index: 6;
  }
  .grand-prix_title {
    display: none;
  }
  .grand-prix_container {
    width: 100%;
    height: 10rem;
    max-width: 138rem;
    margin: 0 auto;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
  }
  .grand-prix_block {
    order: 2;
  }
  .grand-prix_block img {
    height: 100%;
  }
  .grand-prix_txt {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    gap: 6rem;
  }
  .grand-prix_photo {
    order: 2;
  }
  .grand-prix .rtve-icons.la-1 {
    display: inline-block;
    font-size: 0;
    background: url("https://css.rtve.es/css/rtve.directos/logos_cadenas/tv-la1_nac.svg")
      no-repeat top center/100%;
    width: 1rem;
    height: 2rem;
    vertical-align: bottom;
  }
  .grand-prix .rtve-icons.rtveplay {
    display: inline-block;
    font-size: 0;
    background: url("https://css2.rtve.es/css/rtve.2021/i/rtve-logos/logo_rtveplay_2025_ffffff.svg")
      no-repeat top center/100%;
    width: 7rem;
    height: 2rem;
    margin-left: 0.2rem;
    vertical-align: bottom;
  }
  .grand-prix_count {
    display: flex;
    flex-direction: column;
    align-items: center;
    order: 2;
    padding: 0;
    gap: 8px;
    margin-top: 10px;
  }
  .grand-prix_count_claim {
    display: none;
  }
  .grand-prix_count-container {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
  }
  .grand-prix_count-container div {
    display: flex;
    flex-direction: column;
  }
  .grand-prix_count_phrase {
    font-family: "Roboto", "arial", sans-serif;
    font-size: 1.4rem;
    font-weight: 300;
    line-height: 1.3;
    color: #fff;
    margin: 0;
    gap: 0.5rem;
  }
  .grand-prix_count-number {
    font-family: "Montserrat", "arial", sans-serif;
    font-size: 2.8rem;
    line-height: 1;
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
  }
  .grand-prix_count-label {
    font-family: "Montserrat", "arial", sans-serif;
    font-weight: 900;
    font-size: 1rem;
    line-height: 1;
    letter-spacing: 1.5px;
    color: #fff;
    text-transform: uppercase;
  }
  .grand-prix_button {
    order: 4;
    border: 0.1rem solid #fff;
    border-radius: 0.4rem;
    padding: 1rem 0.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .grand-prix_button a {
    font-family: "Roboto", "arial", sans-serif;
    text-align: center;
    font-size: 1.2rem;
    line-height: 1;
    font-weight: 400;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 0.5pt;
    color: #fff;
  }
  .grand-prix_close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    font-size: 0;
    background: url("https://css.rtve.es/css/rtve.2021/i/rtve-icons.svg/rtve-icon_close.svg")
      no-repeat center center/100%;
    width: 2rem;
    height: 2rem;
  }
}
body.rtve .rtveAlert .buttonBox .rtveplay,
.rtveplay .rtveAlert .buttonBox .rtve {
  display: none;
}

body.rtveplay.home .wrapper.bodier:has(.rtveAlert:not(.ghost)) {
    display: flex;
    flex-direction: column;
  }
  body.rtveplay .container[data-tipo="mod_htmlLibre"].fila:has(.rtveAlert) {
    order: 1;
  }
  body.rtveplay .container.fila[data-pos] {
    order: 2;
  }
  body.rtveplay
    .container[data-tipo="mod_htmlLibre"]:has(.rtveAlert:not(.ghost)) {
    z-index: 5;
  }
  body.rtveplay:has(#mainNav .blindBox.be_on) .rtveAlert.countDown {
    z-index: -1;
    opacity: 0;
  }

  body.rtve .rtveAlert.grand-prix.ghost,
body.rtveplay.portada .rtveAlert.grand-prix.ghost {
  height: 0;
  padding: 0;
}
